Bug 15111 - Possible miscompile? Vertical lines showing when move windows
Summary: Possible miscompile? Vertical lines showing when move windows
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-02 12:46 UTC by Telsa Gwynne
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 18:04:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 2000-08-02 12:46:25 UTC
Cyrix MediaGX, 32Mb RAM, running Pinstripe X,
GNOME and Window Maker.

When I move windows around with Window Maker and
'opaque' window-moving (ie, the whole window follows
the mouse immediately), I get thin vertical lines appearing
down the window. When I do this with 'box'  (or something:
only the borders moving when moving the mouse), it 
doesn't happen. I can get rid of the vertical lines by
shading and unshading the window (they remain on the
titlebar though). 

Suggestion is that this is a "miscompile" or an "off-by-one"
error. I hope you know what that means. I don't, I got it from
someone else...

Comment 1 Glen Foster 2000-08-04 14:49:37 UTC
This defect is considered MUST-FIX for Winston Release-Candidate #1

Comment 2 Aaron Brown 2000-08-04 18:04:16 UTC
Trond's patched Xconfigurator and Kudzu RPMS fixed this bug.  GUI install worked
flawlessly, and there are no glitches in Gnome.



Note You need to log in before you can comment on or make changes to this bug.